Settings

Deployment and organization settings.

13 endpoints · Plakar Control Plane v0.18 · Base URL, authentication and errors

List the organization settings

GET /api/v1/account/organizations/{id}/settings
Badge

Path parameters

  • id string<uuid> required
    Organization ID, at or below the caller’s.

Response 200 OK application/json

  • alerting object nullable
    • email string
  • auth object nullable
    • api_key_rotation_grace_hours integer
    • api_key_rotation_ttl_days integer
    • badge_ttl_seconds integer
  • edge object nullable
    • enrollment_key string
  • mailer object nullable
    • from_address string
    • host string
    • password string
    • port integer
    • tls boolean
    • username string
  • packages object nullable
    • repository_url string
  • retention object nullable
    • min_versions integer nullable
  • security object nullable
    • mfa_enforced boolean
  • sso object nullable
    • providers array[object]
      • domains array[string]
      • provider string
  • vector object nullable
    • address string
  • webhook object nullable
    • auth_type string
    • enabled boolean
    • events map[array[string]]
    • secret string
    • url string

Errors

  • 400 Bad Request (validation or deserialization error)
  • 401 Missing, invalid or expired credentials
  • 403 The caller may not do this
  • 500 Internal Server Error (panics)

Every error returns the standard error body.

Request

curl 'https://pcp.example.com/api/v1/account/organizations/{id}/settings' \
  -H 'Authorization: Bearer <badge>'

Response 200

{
  "alerting": {
    "email": "string"
  },
  "auth": {
    "api_key_rotation_grace_hours": 0,
    "api_key_rotation_ttl_days": 0,
    "badge_ttl_seconds": 0
  },
  "edge": {
    "enrollment_key": "string"
  },
  "mailer": {
    "from_address": "string",
    "host": "string",
    "password": "string",
    "port": 0,
    "tls": true,
    "username": "string"
  },
  "packages": {
    "repository_url": "string"
  },
  "retention": {
    "min_versions": 0
  },
  "security": {
    "mfa_enforced": true
  },
  "sso": {
    "providers": [
      {
        "domains": [
          "string"
        ],
        "provider": "string"
      }
    ]
  },
  "vector": {
    "address": "string"
  },
  "webhook": {
    "auth_type": "string",
    "enabled": true,
    "events": {
      "key": [
        "string"
      ]
    },
    "secret": "string",
    "url": "string"
  }
}

Update several organization settings

POST /api/v1/account/organizations/{id}/settings
Badge

Path parameters

  • id string<uuid> required
    Organization ID, at or below the caller’s.

Request body application/json required

  • alerting object nullable
    • email string
  • auth object nullable
    • api_key_rotation_grace_hours integer
    • api_key_rotation_ttl_days integer
    • badge_ttl_seconds integer
  • edge object nullable
    • enrollment_key string
  • mailer object nullable
    • from_address string
    • host string
    • password string
    • port integer
    • tls boolean
    • username string
  • packages object nullable
    • repository_url string
  • retention object nullable
    • min_versions integer nullable
  • security object nullable
    • mfa_enforced boolean
  • sso object nullable
    • providers array[object]
      • domains array[string]
      • provider string
  • vector object nullable
    • address string
  • webhook object nullable
    • auth_type string
    • enabled boolean
    • events map[array[string]]
    • secret string
    • url string

Response 200 OK application/json

  • alerting object nullable
    • email string
  • auth object nullable
    • api_key_rotation_grace_hours integer
    • api_key_rotation_ttl_days integer
    • badge_ttl_seconds integer
  • edge object nullable
    • enrollment_key string
  • mailer object nullable
    • from_address string
    • host string
    • password string
    • port integer
    • tls boolean
    • username string
  • packages object nullable
    • repository_url string
  • retention object nullable
    • min_versions integer nullable
  • security object nullable
    • mfa_enforced boolean
  • sso object nullable
    • providers array[object]
      • domains array[string]
      • provider string
  • vector object nullable
    • address string
  • webhook object nullable
    • auth_type string
    • enabled boolean
    • events map[array[string]]
    • secret string
    • url string

Errors

  • 400 Bad Request (validation or deserialization error)
  • 401 Missing, invalid or expired credentials
  • 403 The caller may not do this
  • 500 Internal Server Error (panics)

Every error returns the standard error body.

Request

curl -X POST 'https://pcp.example.com/api/v1/account/organizations/{id}/settings' \
  -H 'Authorization: Bearer <badge>' \
  -H 'Content-Type: application/json' \
  -d '{
  "alerting": {
    "email": "string"
  },
  "auth": {
    "api_key_rotation_grace_hours": 0,
    "api_key_rotation_ttl_days": 0,
    "badge_ttl_seconds": 0
  },
  "edge": {
    "enrollment_key": "string"
  },
  "mailer": {
    "from_address": "string",
    "host": "string",
    "password": "string",
    "port": 0,
    "tls": true,
    "username": "string"
  },
  "packages": {
    "repository_url": "string"
  },
  "retention": {
    "min_versions": 0
  },
  "security": {
    "mfa_enforced": true
  },
  "sso": {
    "providers": [
      {
        "domains": [
          "string"
        ],
        "provider": "string"
      }
    ]
  },
  "vector": {
    "address": "string"
  },
  "webhook": {
    "auth_type": "string",
    "enabled": true,
    "events": {
      "key": [
        "string"
      ]
    },
    "secret": "string",
    "url": "string"
  }
}'

Response 200

{
  "alerting": {
    "email": "string"
  },
  "auth": {
    "api_key_rotation_grace_hours": 0,
    "api_key_rotation_ttl_days": 0,
    "badge_ttl_seconds": 0
  },
  "edge": {
    "enrollment_key": "string"
  },
  "mailer": {
    "from_address": "string",
    "host": "string",
    "password": "string",
    "port": 0,
    "tls": true,
    "username": "string"
  },
  "packages": {
    "repository_url": "string"
  },
  "retention": {
    "min_versions": 0
  },
  "security": {
    "mfa_enforced": true
  },
  "sso": {
    "providers": [
      {
        "domains": [
          "string"
        ],
        "provider": "string"
      }
    ]
  },
  "vector": {
    "address": "string"
  },
  "webhook": {
    "auth_type": "string",
    "enabled": true,
    "events": {
      "key": [
        "string"
      ]
    },
    "secret": "string",
    "url": "string"
  }
}

List the organization setting sections

GET /api/v1/account/organizations/{id}/settings/sections
Badge

Path parameters

  • id string<uuid> required
    Organization ID, at or below the caller’s.

Response 200 OK application/json

  • scope string
  • sections array[object]
    • name string
    • scope string

Errors

  • 400 Bad Request (validation or deserialization error)
  • 401 Missing, invalid or expired credentials
  • 403 The caller may not do this
  • 500 Internal Server Error (panics)

Every error returns the standard error body.

Request

curl 'https://pcp.example.com/api/v1/account/organizations/{id}/settings/sections' \
  -H 'Authorization: Bearer <badge>'

Response 200

{
  "scope": "string",
  "sections": [
    {
      "name": "string",
      "scope": "string"
    }
  ]
}

Get an organization setting

GET /api/v1/account/organizations/{id}/settings/{name}
Badge

Path parameters

  • id string<uuid> required
    Organization ID, at or below the caller’s.
  • name string required

Response 200 OK application/json

  • alerting object nullable
    • email string
  • auth object nullable
    • api_key_rotation_grace_hours integer
    • api_key_rotation_ttl_days integer
    • badge_ttl_seconds integer
  • edge object nullable
    • enrollment_key string
  • mailer object nullable
    • from_address string
    • host string
    • password string
    • port integer
    • tls boolean
    • username string
  • packages object nullable
    • repository_url string
  • retention object nullable
    • min_versions integer nullable
  • security object nullable
    • mfa_enforced boolean
  • sso object nullable
    • providers array[object]
      • domains array[string]
      • provider string
  • vector object nullable
    • address string
  • webhook object nullable
    • auth_type string
    • enabled boolean
    • events map[array[string]]
    • secret string
    • url string

Errors

  • 400 Bad Request (validation or deserialization error)
  • 401 Missing, invalid or expired credentials
  • 403 The caller may not do this
  • 500 Internal Server Error (panics)

Every error returns the standard error body.

Request

curl 'https://pcp.example.com/api/v1/account/organizations/{id}/settings/{name}' \
  -H 'Authorization: Bearer <badge>'

Response 200

{
  "alerting": {
    "email": "string"
  },
  "auth": {
    "api_key_rotation_grace_hours": 0,
    "api_key_rotation_ttl_days": 0,
    "badge_ttl_seconds": 0
  },
  "edge": {
    "enrollment_key": "string"
  },
  "mailer": {
    "from_address": "string",
    "host": "string",
    "password": "string",
    "port": 0,
    "tls": true,
    "username": "string"
  },
  "packages": {
    "repository_url": "string"
  },
  "retention": {
    "min_versions": 0
  },
  "security": {
    "mfa_enforced": true
  },
  "sso": {
    "providers": [
      {
        "domains": [
          "string"
        ],
        "provider": "string"
      }
    ]
  },
  "vector": {
    "address": "string"
  },
  "webhook": {
    "auth_type": "string",
    "enabled": true,
    "events": {
      "key": [
        "string"
      ]
    },
    "secret": "string",
    "url": "string"
  }
}

Set an organization setting

PUT /api/v1/account/organizations/{id}/settings/{name}
Badge

Path parameters

  • id string<uuid> required
    Organization ID, at or below the caller’s.
  • name string required

Request body application/json required

object

Response 200 OK application/json

  • alerting object nullable
    • email string
  • auth object nullable
    • api_key_rotation_grace_hours integer
    • api_key_rotation_ttl_days integer
    • badge_ttl_seconds integer
  • edge object nullable
    • enrollment_key string
  • mailer object nullable
    • from_address string
    • host string
    • password string
    • port integer
    • tls boolean
    • username string
  • packages object nullable
    • repository_url string
  • retention object nullable
    • min_versions integer nullable
  • security object nullable
    • mfa_enforced boolean
  • sso object nullable
    • providers array[object]
      • domains array[string]
      • provider string
  • vector object nullable
    • address string
  • webhook object nullable
    • auth_type string
    • enabled boolean
    • events map[array[string]]
    • secret string
    • url string

Errors

  • 400 Bad Request (validation or deserialization error)
  • 401 Missing, invalid or expired credentials
  • 403 The caller may not do this
  • 500 Internal Server Error (panics)

Every error returns the standard error body.

Request

curl -X PUT 'https://pcp.example.com/api/v1/account/organizations/{id}/settings/{name}' \
  -H 'Authorization: Bearer <badge>' \
  -H 'Content-Type: application/json' \
  -d '{}'

Response 200

{
  "alerting": {
    "email": "string"
  },
  "auth": {
    "api_key_rotation_grace_hours": 0,
    "api_key_rotation_ttl_days": 0,
    "badge_ttl_seconds": 0
  },
  "edge": {
    "enrollment_key": "string"
  },
  "mailer": {
    "from_address": "string",
    "host": "string",
    "password": "string",
    "port": 0,
    "tls": true,
    "username": "string"
  },
  "packages": {
    "repository_url": "string"
  },
  "retention": {
    "min_versions": 0
  },
  "security": {
    "mfa_enforced": true
  },
  "sso": {
    "providers": [
      {
        "domains": [
          "string"
        ],
        "provider": "string"
      }
    ]
  },
  "vector": {
    "address": "string"
  },
  "webhook": {
    "auth_type": "string",
    "enabled": true,
    "events": {
      "key": [
        "string"
      ]
    },
    "secret": "string",
    "url": "string"
  }
}

Delete an organization setting

DELETE /api/v1/account/organizations/{id}/settings/{name}
Badge
The section is inherited again.

Path parameters

  • id string<uuid> required
    Organization ID, at or below the caller’s.
  • name string required

Response 200 OK application/json

  • alerting object nullable
    • email string
  • auth object nullable
    • api_key_rotation_grace_hours integer
    • api_key_rotation_ttl_days integer
    • badge_ttl_seconds integer
  • edge object nullable
    • enrollment_key string
  • mailer object nullable
    • from_address string
    • host string
    • password string
    • port integer
    • tls boolean
    • username string
  • packages object nullable
    • repository_url string
  • retention object nullable
    • min_versions integer nullable
  • security object nullable
    • mfa_enforced boolean
  • sso object nullable
    • providers array[object]
      • domains array[string]
      • provider string
  • vector object nullable
    • address string
  • webhook object nullable
    • auth_type string
    • enabled boolean
    • events map[array[string]]
    • secret string
    • url string

Errors

  • 400 Bad Request (validation or deserialization error)
  • 401 Missing, invalid or expired credentials
  • 403 The caller may not do this
  • 500 Internal Server Error (panics)

Every error returns the standard error body.

Request

curl -X DELETE 'https://pcp.example.com/api/v1/account/organizations/{id}/settings/{name}' \
  -H 'Authorization: Bearer <badge>'

Response 200

{
  "alerting": {
    "email": "string"
  },
  "auth": {
    "api_key_rotation_grace_hours": 0,
    "api_key_rotation_ttl_days": 0,
    "badge_ttl_seconds": 0
  },
  "edge": {
    "enrollment_key": "string"
  },
  "mailer": {
    "from_address": "string",
    "host": "string",
    "password": "string",
    "port": 0,
    "tls": true,
    "username": "string"
  },
  "packages": {
    "repository_url": "string"
  },
  "retention": {
    "min_versions": 0
  },
  "security": {
    "mfa_enforced": true
  },
  "sso": {
    "providers": [
      {
        "domains": [
          "string"
        ],
        "provider": "string"
      }
    ]
  },
  "vector": {
    "address": "string"
  },
  "webhook": {
    "auth_type": "string",
    "enabled": true,
    "events": {
      "key": [
        "string"
      ]
    },
    "secret": "string",
    "url": "string"
  }
}

Get the effective value of an organization setting

GET /api/v1/account/organizations/{id}/settings/{name}/effective
Badge
The value the organization experiences, beside its own row, so a client can tell own, inherited and locked apart.

Path parameters

  • id string<uuid> required
    Organization ID, at or below the caller’s.
  • name string required

Response 200 OK application/json

  • setting object
    • alerting object nullable
      • email string
    • auth object nullable
      • api_key_rotation_grace_hours integer
      • api_key_rotation_ttl_days integer
      • badge_ttl_seconds integer
    • edge object nullable
      • enrollment_key string
    • mailer object nullable
      • from_address string
      • host string
      • password string
      • port integer
      • tls boolean
      • username string
    • packages object nullable
      • repository_url string
    • retention object nullable
      • min_versions integer nullable
    • security object nullable
      • mfa_enforced boolean
    • sso object nullable
      • providers array[object]
        • domains array[string]
        • provider string
    • vector object nullable
      • address string
    • webhook object nullable
      • auth_type string
      • enabled boolean
      • events map[array[string]]
      • secret string
      • url string
  • source object
    • inheritable boolean
    • inherited boolean
    • locked boolean
    • locked_here boolean
    • organization_id string<uuid>
    • organization_name string

Errors

  • 400 Bad Request (validation or deserialization error)
  • 401 Missing, invalid or expired credentials
  • 403 The caller may not do this
  • 500 Internal Server Error (panics)

Every error returns the standard error body.

Request

curl 'https://pcp.example.com/api/v1/account/organizations/{id}/settings/{name}/effective' \
  -H 'Authorization: Bearer <badge>'

Response 200

{
  "setting": {
    "alerting": {
      "email": "string"
    },
    "auth": {
      "api_key_rotation_grace_hours": 0,
      "api_key_rotation_ttl_days": 0,
      "badge_ttl_seconds": 0
    },
    "edge": {
      "enrollment_key": "string"
    },
    "mailer": {
      "from_address": "string",
      "host": "string",
      "password": "string",
      "port": 0,
      "tls": true,
      "username": "string"
    },
    "packages": {
      "repository_url": "string"
    },
    "retention": {
      "min_versions": 0
    },
    "security": {
      "mfa_enforced": true
    },
    "sso": {
      "providers": [
        {
          "domains": [
            "string"
          ],
          "provider": "string"
        }
      ]
    },
    "vector": {
      "address": "string"
    },
    "webhook": {
      "auth_type": "string",
      "enabled": true,
      "events": {
        "key": [
          "string"
        ]
      },
      "secret": "string",
      "url": "string"
    }
  },
  "source": {
    "inheritable": true,
    "inherited": true,
    "locked": true,
    "locked_here": true,
    "organization_id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
    "organization_name": "string"
  }
}

Set how a setting section is handed down

PUT /api/v1/account/organizations/{id}/settings/{name}/flags
Badge

Path parameters

  • id string<uuid> required
    Organization ID, at or below the caller’s.
  • name string required

Request body application/json required

  • inheritable boolean
  • locked boolean

Response 200 OK application/json

  • alerting object nullable
    • email string
  • auth object nullable
    • api_key_rotation_grace_hours integer
    • api_key_rotation_ttl_days integer
    • badge_ttl_seconds integer
  • edge object nullable
    • enrollment_key string
  • mailer object nullable
    • from_address string
    • host string
    • password string
    • port integer
    • tls boolean
    • username string
  • packages object nullable
    • repository_url string
  • retention object nullable
    • min_versions integer nullable
  • security object nullable
    • mfa_enforced boolean
  • sso object nullable
    • providers array[object]
      • domains array[string]
      • provider string
  • vector object nullable
    • address string
  • webhook object nullable
    • auth_type string
    • enabled boolean
    • events map[array[string]]
    • secret string
    • url string

Errors

  • 400 Bad Request (validation or deserialization error)
  • 401 Missing, invalid or expired credentials
  • 403 The caller may not do this
  • 500 Internal Server Error (panics)

Every error returns the standard error body.

Request

curl -X PUT 'https://pcp.example.com/api/v1/account/organizations/{id}/settings/{name}/flags' \
  -H 'Authorization: Bearer <badge>' \
  -H 'Content-Type: application/json' \
  -d '{
  "inheritable": true,
  "locked": true
}'

Response 200

{
  "alerting": {
    "email": "string"
  },
  "auth": {
    "api_key_rotation_grace_hours": 0,
    "api_key_rotation_ttl_days": 0,
    "badge_ttl_seconds": 0
  },
  "edge": {
    "enrollment_key": "string"
  },
  "mailer": {
    "from_address": "string",
    "host": "string",
    "password": "string",
    "port": 0,
    "tls": true,
    "username": "string"
  },
  "packages": {
    "repository_url": "string"
  },
  "retention": {
    "min_versions": 0
  },
  "security": {
    "mfa_enforced": true
  },
  "sso": {
    "providers": [
      {
        "domains": [
          "string"
        ],
        "provider": "string"
      }
    ]
  },
  "vector": {
    "address": "string"
  },
  "webhook": {
    "auth_type": "string",
    "enabled": true,
    "events": {
      "key": [
        "string"
      ]
    },
    "secret": "string",
    "url": "string"
  }
}

List the deployment settings

GET /api/v1/settings
Badge

Response 200 OK application/json

  • alerting object nullable
    • email string
  • auth object nullable
    • api_key_rotation_grace_hours integer
    • api_key_rotation_ttl_days integer
    • badge_ttl_seconds integer
  • edge object nullable
    • enrollment_key string
  • mailer object nullable
    • from_address string
    • host string
    • password string
    • port integer
    • tls boolean
    • username string
  • packages object nullable
    • repository_url string
  • retention object nullable
    • min_versions integer nullable
  • security object nullable
    • mfa_enforced boolean
  • sso object nullable
    • providers array[object]
      • domains array[string]
      • provider string
  • vector object nullable
    • address string
  • webhook object nullable
    • auth_type string
    • enabled boolean
    • events map[array[string]]
    • secret string
    • url string

Errors

  • 400 Bad Request (validation or deserialization error)
  • 401 Missing, invalid or expired credentials
  • 403 The caller may not do this
  • 500 Internal Server Error (panics)

Every error returns the standard error body.

Request

curl 'https://pcp.example.com/api/v1/settings' \
  -H 'Authorization: Bearer <badge>'

Response 200

{
  "alerting": {
    "email": "string"
  },
  "auth": {
    "api_key_rotation_grace_hours": 0,
    "api_key_rotation_ttl_days": 0,
    "badge_ttl_seconds": 0
  },
  "edge": {
    "enrollment_key": "string"
  },
  "mailer": {
    "from_address": "string",
    "host": "string",
    "password": "string",
    "port": 0,
    "tls": true,
    "username": "string"
  },
  "packages": {
    "repository_url": "string"
  },
  "retention": {
    "min_versions": 0
  },
  "security": {
    "mfa_enforced": true
  },
  "sso": {
    "providers": [
      {
        "domains": [
          "string"
        ],
        "provider": "string"
      }
    ]
  },
  "vector": {
    "address": "string"
  },
  "webhook": {
    "auth_type": "string",
    "enabled": true,
    "events": {
      "key": [
        "string"
      ]
    },
    "secret": "string",
    "url": "string"
  }
}

Update several deployment settings

POST /api/v1/settings
Badge

Request body application/json required

  • alerting object nullable
    • email string
  • auth object nullable
    • api_key_rotation_grace_hours integer
    • api_key_rotation_ttl_days integer
    • badge_ttl_seconds integer
  • edge object nullable
    • enrollment_key string
  • mailer object nullable
    • from_address string
    • host string
    • password string
    • port integer
    • tls boolean
    • username string
  • packages object nullable
    • repository_url string
  • retention object nullable
    • min_versions integer nullable
  • security object nullable
    • mfa_enforced boolean
  • sso object nullable
    • providers array[object]
      • domains array[string]
      • provider string
  • vector object nullable
    • address string
  • webhook object nullable
    • auth_type string
    • enabled boolean
    • events map[array[string]]
    • secret string
    • url string

Response 200 OK application/json

  • alerting object nullable
    • email string
  • auth object nullable
    • api_key_rotation_grace_hours integer
    • api_key_rotation_ttl_days integer
    • badge_ttl_seconds integer
  • edge object nullable
    • enrollment_key string
  • mailer object nullable
    • from_address string
    • host string
    • password string
    • port integer
    • tls boolean
    • username string
  • packages object nullable
    • repository_url string
  • retention object nullable
    • min_versions integer nullable
  • security object nullable
    • mfa_enforced boolean
  • sso object nullable
    • providers array[object]
      • domains array[string]
      • provider string
  • vector object nullable
    • address string
  • webhook object nullable
    • auth_type string
    • enabled boolean
    • events map[array[string]]
    • secret string
    • url string

Errors

  • 400 Bad Request (validation or deserialization error)
  • 401 Missing, invalid or expired credentials
  • 403 The caller may not do this
  • 500 Internal Server Error (panics)

Every error returns the standard error body.

Request

curl -X POST 'https://pcp.example.com/api/v1/settings' \
  -H 'Authorization: Bearer <badge>' \
  -H 'Content-Type: application/json' \
  -d '{
  "alerting": {
    "email": "string"
  },
  "auth": {
    "api_key_rotation_grace_hours": 0,
    "api_key_rotation_ttl_days": 0,
    "badge_ttl_seconds": 0
  },
  "edge": {
    "enrollment_key": "string"
  },
  "mailer": {
    "from_address": "string",
    "host": "string",
    "password": "string",
    "port": 0,
    "tls": true,
    "username": "string"
  },
  "packages": {
    "repository_url": "string"
  },
  "retention": {
    "min_versions": 0
  },
  "security": {
    "mfa_enforced": true
  },
  "sso": {
    "providers": [
      {
        "domains": [
          "string"
        ],
        "provider": "string"
      }
    ]
  },
  "vector": {
    "address": "string"
  },
  "webhook": {
    "auth_type": "string",
    "enabled": true,
    "events": {
      "key": [
        "string"
      ]
    },
    "secret": "string",
    "url": "string"
  }
}'

Response 200

{
  "alerting": {
    "email": "string"
  },
  "auth": {
    "api_key_rotation_grace_hours": 0,
    "api_key_rotation_ttl_days": 0,
    "badge_ttl_seconds": 0
  },
  "edge": {
    "enrollment_key": "string"
  },
  "mailer": {
    "from_address": "string",
    "host": "string",
    "password": "string",
    "port": 0,
    "tls": true,
    "username": "string"
  },
  "packages": {
    "repository_url": "string"
  },
  "retention": {
    "min_versions": 0
  },
  "security": {
    "mfa_enforced": true
  },
  "sso": {
    "providers": [
      {
        "domains": [
          "string"
        ],
        "provider": "string"
      }
    ]
  },
  "vector": {
    "address": "string"
  },
  "webhook": {
    "auth_type": "string",
    "enabled": true,
    "events": {
      "key": [
        "string"
      ]
    },
    "secret": "string",
    "url": "string"
  }
}

List the deployment setting sections

GET /api/v1/settings/sections
Badge

Response 200 OK application/json

  • scope string
  • sections array[object]
    • name string
    • scope string

Errors

  • 400 Bad Request (validation or deserialization error)
  • 401 Missing, invalid or expired credentials
  • 403 The caller may not do this
  • 500 Internal Server Error (panics)

Every error returns the standard error body.

Request

curl 'https://pcp.example.com/api/v1/settings/sections' \
  -H 'Authorization: Bearer <badge>'

Response 200

{
  "scope": "string",
  "sections": [
    {
      "name": "string",
      "scope": "string"
    }
  ]
}

Get a deployment setting

GET /api/v1/settings/{name}
Badge

Path parameters

  • name string required

Response 200 OK application/json

  • alerting object nullable
    • email string
  • auth object nullable
    • api_key_rotation_grace_hours integer
    • api_key_rotation_ttl_days integer
    • badge_ttl_seconds integer
  • edge object nullable
    • enrollment_key string
  • mailer object nullable
    • from_address string
    • host string
    • password string
    • port integer
    • tls boolean
    • username string
  • packages object nullable
    • repository_url string
  • retention object nullable
    • min_versions integer nullable
  • security object nullable
    • mfa_enforced boolean
  • sso object nullable
    • providers array[object]
      • domains array[string]
      • provider string
  • vector object nullable
    • address string
  • webhook object nullable
    • auth_type string
    • enabled boolean
    • events map[array[string]]
    • secret string
    • url string

Errors

  • 400 Bad Request (validation or deserialization error)
  • 401 Missing, invalid or expired credentials
  • 403 The caller may not do this
  • 500 Internal Server Error (panics)

Every error returns the standard error body.

Request

curl 'https://pcp.example.com/api/v1/settings/{name}' \
  -H 'Authorization: Bearer <badge>'

Response 200

{
  "alerting": {
    "email": "string"
  },
  "auth": {
    "api_key_rotation_grace_hours": 0,
    "api_key_rotation_ttl_days": 0,
    "badge_ttl_seconds": 0
  },
  "edge": {
    "enrollment_key": "string"
  },
  "mailer": {
    "from_address": "string",
    "host": "string",
    "password": "string",
    "port": 0,
    "tls": true,
    "username": "string"
  },
  "packages": {
    "repository_url": "string"
  },
  "retention": {
    "min_versions": 0
  },
  "security": {
    "mfa_enforced": true
  },
  "sso": {
    "providers": [
      {
        "domains": [
          "string"
        ],
        "provider": "string"
      }
    ]
  },
  "vector": {
    "address": "string"
  },
  "webhook": {
    "auth_type": "string",
    "enabled": true,
    "events": {
      "key": [
        "string"
      ]
    },
    "secret": "string",
    "url": "string"
  }
}

Set a deployment setting

PUT /api/v1/settings/{name}
Badge

Path parameters

  • name string required

Request body application/json required

object

Response 200 OK application/json

  • alerting object nullable
    • email string
  • auth object nullable
    • api_key_rotation_grace_hours integer
    • api_key_rotation_ttl_days integer
    • badge_ttl_seconds integer
  • edge object nullable
    • enrollment_key string
  • mailer object nullable
    • from_address string
    • host string
    • password string
    • port integer
    • tls boolean
    • username string
  • packages object nullable
    • repository_url string
  • retention object nullable
    • min_versions integer nullable
  • security object nullable
    • mfa_enforced boolean
  • sso object nullable
    • providers array[object]
      • domains array[string]
      • provider string
  • vector object nullable
    • address string
  • webhook object nullable
    • auth_type string
    • enabled boolean
    • events map[array[string]]
    • secret string
    • url string

Errors

  • 400 Bad Request (validation or deserialization error)
  • 401 Missing, invalid or expired credentials
  • 403 The caller may not do this
  • 500 Internal Server Error (panics)

Every error returns the standard error body.

Request

curl -X PUT 'https://pcp.example.com/api/v1/settings/{name}' \
  -H 'Authorization: Bearer <badge>' \
  -H 'Content-Type: application/json' \
  -d '{}'

Response 200

{
  "alerting": {
    "email": "string"
  },
  "auth": {
    "api_key_rotation_grace_hours": 0,
    "api_key_rotation_ttl_days": 0,
    "badge_ttl_seconds": 0
  },
  "edge": {
    "enrollment_key": "string"
  },
  "mailer": {
    "from_address": "string",
    "host": "string",
    "password": "string",
    "port": 0,
    "tls": true,
    "username": "string"
  },
  "packages": {
    "repository_url": "string"
  },
  "retention": {
    "min_versions": 0
  },
  "security": {
    "mfa_enforced": true
  },
  "sso": {
    "providers": [
      {
        "domains": [
          "string"
        ],
        "provider": "string"
      }
    ]
  },
  "vector": {
    "address": "string"
  },
  "webhook": {
    "auth_type": "string",
    "enabled": true,
    "events": {
      "key": [
        "string"
      ]
    },
    "secret": "string",
    "url": "string"
  }
}